using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace Siger.Middlelayer.Redis.RedisEntities
{
    [DataContract]
    public class Monitor : RedisEntityBase
    {
        [DataMember(Name = "spindleID")] public List<string> Splindles { get; set; }

        [DataMember(Name = "programNum")] public List<string> ProgramNumbers { get; set; }

        [DataMember(Name = "toolNum")] public List<string> Tools { get; set; }

        public Monitor()
        {
            Splindles = new List<string>();
            ProgramNumbers = new List<string>();
            Tools = new List<string>();
        }
    }
}
